#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libarchive
Version		:	3.6.2
Release		:	17.2.0.rel%{?dist}
Summary		:	A library for handling streaming archive formats
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://github.com/libarchive/libarchive

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	acl
BuildRequires	:	attr
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	bison
BuildRequires	:	bzip2
BuildRequires	:	e2fsprogs
BuildRequires	:	gcc
BuildRequires	:	libtool
BuildRequires	:	libxml2-devel
BuildRequires	:	zstd-devel
BuildRequires	:	lz4-devel
BuildRequires	:	openssl-devel
BuildRequires	:	make
BuildRequires	:	xz-devel
BuildRequires	:	zlib-devel

#-----------------------------------------------------------------------------
%description
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants, several cpio
formats, and both BSD and GNU ar variants. It can also write shar archives and
read ISO9660 CDROM images and ZIP archives.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_libdir}/%{name}.so.13*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files
for developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/archive*.3.gz
%{_mandir}/man3/%{name}*.3.gz
%{_mandir}/man5/%{name}*.5.gz
%{_mandir}/man5/cpio.5.gz
%{_mandir}/man5/mtree.5.gz
%{_mandir}/man5/tar.5.gz

#=============================================================================
%package		-n bsdtar
Summary		:	Manipulate tape archives

#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		-n bsdtar
The bsdtar package contains standalone bsdtar utility 
split off regular libarchive packages.

#-----------------------------------------------------------------------------
%files			-n bsdtar
%defattr(-,root,root,-)
%license COPYING
%doc NEWS README.md
%{_bindir}/bsdtar
%{_mandir}/man1/bsdtar.1.gz

#=============================================================================
%package		-n bsdcpio
Summary		:	Copy files to and from archives

#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		-n bsdcpio
The bsdcpio package contains standalone bsdcpio utility 
split off regular libarchive packages.

#-----------------------------------------------------------------------------
%files			-n bsdcpio
%defattr(-,root,root,-)
%license COPYING
%doc NEWS README.md
%{_bindir}/bsdcpio
%{_mandir}/man1/bsdcpio.1.gz

#=============================================================================
%package		-n bsdcat
Summary		:	Expand files to standard output

#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		-n bsdcat
The bsdcat program typically takes a filename as
an argument or reads standard input when used in
a pipe.
In both cases decompressed data it written to
standard output.
 

#-----------------------------------------------------------------------------
%files			-n bsdcat
%defattr(-,root,root,-)
%license COPYING
%doc NEWS README.md
%{_bindir}/bsdcat
%{_mandir}/man1/bsdcat.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--with-libxml2					\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#Remove an invalid entry in libarchive.pc:
sed -i							\
  -e "s/iconv //"					\
  %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
